pilot-read-ical(1)

NAME
pilot-read-ical - Exports the DatebookDB and/or ToDo applications to ical format.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-read-ical [-p|--port <port>] [--version] [-?|--help] [-q|--quiet] [--usage] [-d|--datebook] [-t|--pubtext pubtext] [-f|--file file]

DESCRIPTION

Note, this is not the same as the iCal calendar format.

 pilot-read-ical allows the user to retrieve the contents of the ToDo and Datebook databases on a Palm handheld, and convert their contents to an Ical calendar.

Note that the calendar file named by filename will be deleted, so do not use your main calendar. Instead, use a separate one for this purpose, and include it in your main calendar.

As pilot-read-ical works by passing a script to ical, the ical application must be in your $PATH.

OPTIONS

  pilot-read-ical options
                        -d, --datebook

Datebook only, no ToDos
                        -t,
                        --pubtext pubtext

Replace text of items not started with a bullet with pubtext
                        -f,
                        --file file

This is the file in which the ical-formatted data should be saved. Note that this will be deleted, so do not use your primary calendar file. See DESCRIPTION for details.

  Conduit Options
                        -p, --port port

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-read-ical will look for the $PILOTPORT environment variable. If neither are found, pilot-read-ical will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-read-ical and exit without connecting.

  Help Options
                        -h, --help.

Display the help synopsis for pilot-read-ical and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to a target device, retrieve the ToDo and Datebook databases (ToDoDB.pdb and DatebookDB.pdb respectively), then instruct ical to write a calendar file based on the retrieved information.

AUTHOR

 pilot-read-ical was originally written by Kenneth Albanowski.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-link(7)